Skip to Content
Multi-Factor Authentication (MFA)

Resend MFA Challenge Code

View Markdown (.md)
POST
/api/v1/public/mfa/resend

Resends the verification challenge code subject to workflow cooldown rules.

Authorization

headerX-Api-Key<token>

SMS Pro API Key (sk_live_... or sk_test_...)

Request Body

application/json
  1. body
challengeId*string

Response Body

Challenge code resent

application/json
  1. response
status?string
data?
Example Request
curl -X POST 'https://api.smspro.com/api/v1/public/mfa/resend' \  -H 'Content-Type: application/json' \  -d '{  "challengeId": "string"}'
Example Response
{  "status": "string",  "data": {    "challengeId": "string",    "status": "string",    "channel": "string",    "maskedPhone": "string",    "attemptsRemaining": 0,    "expiresAt": "2019-08-24T14:15:22Z",    "resendAvailableAt": "2019-08-24T14:15:22Z",    "message": "string",    "challengeNonce": "string",    "proofAlgorithm": "string",    "proofFormat": "string"  }}